gtkmm: Gtk::FileChooserError Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::FileChooserError Class Reference

Exception class for Gdk::FileChooser errors. More...

Inheritance diagram for Gtk::FileChooserError:
[legend]
Collaboration diagram for Gtk::FileChooserError:
[legend]

## Public Types
enum | Code { NONEXISTENT, BAD_FILENAME, ALREADY_EXISTS, INCOMPLETE_HOSTNAME }

## Public Member Functions
| FileChooserError (Code error_code, const Glib::ustring& error_message)
| FileChooserError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::FileChooser errors.

## Member Enumeration Documentation

enum Gtk::FileChooserError::Code

Enumerator
NONEXISTENT |
BAD_FILENAME |
ALREADY_EXISTS |
INCOMPLETE_HOSTNAME |

## Constructor & Destructor Documentation

Gtk::FileChooserError::FileChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::FileChooserError::FileChooserError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::FileChooserError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/filechooser.h